> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Realtime Cost Summary

> Aggregated cost across all bots in the time range.



## OpenAPI

````yaml https://api.gbase.ai/openapi-redoc.json get /v1/robots/realtime-cost/summary
openapi: 3.1.0
info:
  title: GBase
  description: >
    # Introduce

    This API document can help you understand GBase more deeply. 

    You can train your own AI directly through the interface of this document.



    ##  Authentication


    Home page: [https://gbase.ai](https://gbase.ai)


    Huggingface:
    [https://huggingface.co/gptbase](https://huggingface.co/gptbase)


    The GBase API uses API keys for authentication. Visit your API Keys page to
    retrieve the API key you'll use in your requests.


    Remember that your API key is a secret! Do not share it with others or
    expose it in any client-side code (browsers, apps). 

    Production requests must be routed through your own backend server where
    your API key can be securely loaded from an environment variable or key
    management service.


    All API requests should include your API key in an Authorization HTTP header
    as follows:


    Parameter name: Authorization


    Value: Bearer [YOUR_API_KEY](https://admin.gbase.ai/keys)


    ```

    Authorization: Bearer YOUR_API_KEY

    ```


    ## Use steps

    1.Fill in your API keys.


    2.You can create an AI by using either the API interface or the
    administrative backend. Once created, the AI will generate an ID which will
    be required for the subsequent steps.


    3.Use the generated ID to call the file upload interface.


    4.After uploading the file, you can use the question interface to inquire
    about it.
  version: 0.0.1
servers:
  - url: https://api.gbase.ai
security: []
paths:
  /v1/robots/realtime-cost/summary:
    get:
      tags:
        - Question
      summary: Get Realtime Cost Summary
      description: Aggregated cost across all bots in the time range.
      operationId: get_realtime_cost_summary_v1_robots_realtime_cost_summary_get
      parameters:
        - required: false
          schema:
            type: string
            format: date-time
            title: Start Time
          name: start_time
          in: query
        - required: false
          schema:
            type: string
            format: date-time
            title: End Time
          name: end_time
          in: query
        - required: false
          schema:
            type: string
            title: Model
            default: auto
          name: model
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RealtimeCostOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    RealtimeCostOut:
      properties:
        bot_id:
          type: string
          title: Bot Id
        start_time:
          type: string
          format: date-time
          title: Start Time
        end_time:
          type: string
          format: date-time
          title: End Time
        model:
          type: string
          title: Model
        session_count:
          type: integer
          title: Session Count
        total_turns:
          type: integer
          title: Total Turns
        total_duration_ms:
          type: integer
          title: Total Duration Ms
        cache_hit_rate:
          type: number
          title: Cache Hit Rate
        items:
          items:
            $ref: '#/components/schemas/RealtimeCostItemOut'
          type: array
          title: Items
        total_cost:
          type: number
          title: Total Cost
        totals:
          additionalProperties:
            type: integer
          type: object
          title: Totals
      type: object
      required:
        - bot_id
        - model
        - session_count
        - total_turns
        - total_duration_ms
        - cache_hit_rate
        - items
        - total_cost
        - totals
      title: RealtimeCostOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RealtimeCostItemOut:
      properties:
        category:
          type: string
          title: Category
        tokens:
          type: integer
          title: Tokens
        unit_price:
          type: number
          title: Unit Price
        cost:
          type: number
          title: Cost
      type: object
      required:
        - category
        - tokens
        - unit_price
        - cost
      title: RealtimeCostItemOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````